#include <stdio.h>
#include <stdlib.h>

// Computes the deep sum digits of a number
int deepSumDigit(int num);
// Computes the deep sum digits of a number (alternate version)
int deepSumDigitAlt(int num);

int main()
{
	int num;

	printf("Enter a number: ");
	scanf("%d", &num);
	printf("The deep sum digits of the number %d is %d\n", num, deepSumDigit(num));

	return 0;
}

// Computes the deep sum digits of a number
int deepSumDigit(int num)
{
	int sum = 0;

	if (num < 10)						// If it is a single digit return it's value
		return num;

	for (; num > 0; num = num / 10)		// Sum all the digits
		sum += num % 10;

	return deepSumDigit(sum);			// return the deep sum digits of the digits sum
}

// Computes the deep sum digits of a number (alternate version)
int deepSumDigitAlt(int num)
{
	if (num < 10)						// If it is a single digit return it's value
		return num;

	return deepSumDigitAlt(num%10 + deepSumDigitAlt(num / 10));
}